package com.synhaptein.scalator.security

import com.synhaptein.scalator.handlers.RequestHandler
import com.synhaptein.scalator.RequestContainer
import javax.servlet.http.{HttpServletRequest, HttpServletResponse}
import javax.servlet.FilterConfig
/**
 * Request handle to handle security annotation on commands.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.1
 * @license       http://www.synhaptein.com/scalator/license.html
 */

class SecurityHandler extends RequestHandler
{
  def handle(filterConfig: FilterConfig, url: String, req: HttpServletRequest,
             resp: HttpServletResponse, requestContainer: RequestContainer): Unit = {
    val securityClass = requestContainer.clazz.getAnnotation(classOf[Security])

    if(securityClass != null)
      println(securityClass.group)

    val securityMethod = requestContainer.method.getAnnotation(classOf[Security])

    if(securityMethod != null)
      println(securityMethod.group)
  }
}
